clear all 

use "data repository.dta", clear

xtset pair_id year
eststo clear
quietly{
eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 if iso_i~=iso_j, vce(cl pair_id) a(ison_i iso_j) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "No", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 if iso_i~=iso_j, vce(cl pair_id) a(ison_i iso_j pair_id) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "Yes", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 if iso_i~=iso_j & hh==1, vce(cl pair_id) a(ison_i iso_j) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "No", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 if iso_i~=iso_j & hh==1, vce(cl pair_id) a(ison_i iso_j pair_id) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "Yes", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 if iso_i~=iso_j & ll==1, vce(cl pair_id) a(ison_i iso_j) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "No", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 if iso_i~=iso_j & ll==1, vce(cl pair_id) a(ison_i iso_j pair_id) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "Yes", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 if iso_i~=iso_j & hl==1, vce(cl pair_id) a(ison_i iso_j) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "No", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 if iso_i~=iso_j & hl==1, vce(cl pair_id) a(ison_i iso_j pair_id) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "Yes", replace

}
esttab , compress title("Same Panel Log Estimations") se ///
s(exp imp pair r2_a N, label("Importer FE" "Exporter FE" "Pair FE" "Adjusted R2" "Obs")) ///
label star(* .10 ** .05 *** .01) b(%10.3f) drop(_cons) varwidth(39) ///
mgroups("World" "Intra-Developed" "Intra-Developing" "Developed-Developing", ///
pattern(1 0 1 0 1 0 1 0))

xtset pair_id year
eststo clear
quietly{
eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 lnrexch if iso_i~=iso_j, vce(cl pair_id) a(ison_i iso_j) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "No", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 lnrexch if iso_i~=iso_j, vce(cl pair_id) a(ison_i iso_j pair_id) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "Yes", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 lnrexch if iso_i~=iso_j & hh==1, vce(cl pair_id) a(ison_i iso_j) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "No", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 lnrexch if iso_i~=iso_j & hh==1, vce(cl pair_id) a(ison_i iso_j pair_id) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "Yes", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 lnrexch if iso_i~=iso_j & ll==1, vce(cl pair_id) a(ison_i iso_j) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "No", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 lnrexch if iso_i~=iso_j & ll==1, vce(cl pair_id) a(ison_i iso_j pair_id) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "Yes", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 lnrexch if iso_i~=iso_j & hl==1, vce(cl pair_id) a(ison_i iso_j) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "No", replace

eststo: reghdfe lncons_exp_pc_i lncons_exp_pc_j gdppc_vol_i ///
lncost2 lnrexch if iso_i~=iso_j & hl==1, vce(cl pair_id) a(ison_i iso_j pair_id) keepsingletons 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
estadd local pair "Yes", replace

}
esttab , compress title("Same Panel Log Estimations") se ///
s(exp imp pair r2_a N, label("Importer FE" "Exporter FE" "Pair FE" "Adjusted R2" "Obs")) ///
label star(* .10 ** .05 *** .01) b(%10.3f) drop(_cons) varwidth(39) ///
mgroups("World" "Intra-Developed" "Intra-Developing" "Developed-Developing", ///
pattern(1 0 1 0 1 0 1 0))

xtset pair_id year
eststo clear
quietly{
eststo: reg D.(lncons_exp_pc_i lncons_exp_pc_j ///
lncost2) gdppc_vol_i if iso_i~=iso_j, vce(cl pair_id) 
estadd local exp "Yes", replace
estadd local imp "Yes", replace

eststo: reg D.(lncons_exp_pc_i lncons_exp_pc_j ///
lncost2) gdppc_vol_i if iso_i~=iso_j & hh==1, vce(cl pair_id)  
estadd local exp "Yes", replace
estadd local imp "Yes", replace

eststo: reg D.(lncons_exp_pc_i lncons_exp_pc_j  ///
lncost2) gdppc_vol_i if iso_i~=iso_j & hl==1, vce(cl pair_id) 
estadd local exp "Yes", replace
estadd local imp "Yes", replace

eststo: reg D.(lncons_exp_pc_i lncons_exp_pc_j ///
lncost2) gdppc_vol_i if iso_i~=iso_j & ll==1, vce(cl pair_id) 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
}
esttab, compress title("Log Estimations") se s(r2_a N, label("Adjusted R2" "Obs")) ///
label nonumbers star(* .10 ** .05 *** .01) b(%10.3f) drop(_cons) varwidth(39)

xtset pair_id year
eststo clear
quietly{
eststo: reg D.(lncons_exp_pc_i lncons_exp_pc_j  ///
lncost2 lnrexch) gdppc_vol_i if iso_i~=iso_j, vce(cl pair_id) 
estadd local exp "Yes", replace
estadd local imp "Yes", replace

eststo: reg D.(lncons_exp_pc_i lncons_exp_pc_j  ///
lncost2 lnrexch) gdppc_vol_i if iso_i~=iso_j & hh==1, vce(cl pair_id)  
estadd local exp "Yes", replace
estadd local imp "Yes", replace

eststo: reg D.(lncons_exp_pc_i lncons_exp_pc_j  ///
lncost2 lnrexch) gdppc_vol_i if iso_i~=iso_j & hl==1, vce(cl pair_id) 
estadd local exp "Yes", replace
estadd local imp "Yes", replace

eststo: reg D.(lncons_exp_pc_i lncons_exp_pc_j  ///
lncost2 lnrexch) gdppc_vol_i if iso_i~=iso_j & ll==1, vce(cl pair_id) 
estadd local exp "Yes", replace
estadd local imp "Yes", replace
}
esttab, compress title("Log Estimations") se s(r2_a N, label("Adjusted R2" "Obs")) ///
label nonumbers star(* .10 ** .05 *** .01) b(%10.3f) drop(_cons) varwidth(39)




